Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Database..::.Salvage Method (String, DatabaseConfig)
Database Class See Also Send Feedback

Write the key/data pairs from all databases in the file to Out. Key values are written for Btree, Hash and Queue databases, but not for Recno databases.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public static void Salvage(
    	string file,
    	DatabaseConfig cfg
    )

Visual Basic (Declaration)
    Public Shared Sub Salvage ( _
    	file As String, _
    	cfg As DatabaseConfig _
    )

Visual C++
    public:
    static void Salvage(
    	String^ file,
    	DatabaseConfig^ cfg
    )

#### Parameters

file
  Type: System..::.String
  The physical file in which the databases to be salvaged are found.

cfg
  Type: BerkeleyDB..::.DatabaseConfig
  Configuration parameters for the databases to be salvaged.

# See Also

Database Class
Salvage Overload
BerkeleyDB Namespace